Package org.eclipse.emf.compare.ide.ui.internal.preferences

# Class EditorPreferencePage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
org.eclipse.jface.preference.FieldEditorPreferencePage
org.eclipse.emf.compare.ide.ui.internal.preferences.EditorPreferencePage

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`, `org.eclipse.jface.util.IPropertyChangeListener`, `org.eclipse.ui.IWorkbenchPreferencePage`

public class EditorPreferencePage extends org.eclipse.jface.preference.FieldEditorPreferencePage implements org.eclipse.ui.IWorkbenchPreferencePage
Preference page for UI settings related to the comparison editor.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.ui.dialogs.PreferenceLinkArea`
`colorsAndFontsLink`
Link to color preference page.
`protected org.eclipse.swt.widgets.Composite`
`colorTab`
Color tab.
`static final String`
`PAGE_ID`
Preference page ID.
`protected org.eclipse.swt.widgets.TabFolder`
`tabFolder`
Tab folder for all tabs in this page.
`protected org.eclipse.jface.preference.IntegerFieldEditor`
`treeAutoExpandLevel`
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_AUTO_EXPAND_LEVEL`.
`protected org.eclipse.jface.preference.BooleanFieldEditor`
`treeAutoSelectFirstChange`
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE`.
`protected org.eclipse.jface.preference.IntegerFieldEditor`
`treeExpandTimeout`
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_EXPAND_TIMEOUT`.
`protected org.eclipse.jface.preference.BooleanFieldEditor`
`treeHighlightRelatedChanges`
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES`.
`protected org.eclipse.swt.widgets.Composite`
`treeTab`
Tree tab.

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`EditorPreferencePage()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.jface.preference.IntegerFieldEditor`
`createAutoExpandTreeLevel(org.eclipse.swt.widgets.Composite parent)`
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_AUTO_EXPAND_LEVEL` preference.
`protected org.eclipse.jface.preference.BooleanFieldEditor`
`createAutoSelectFirstChange(org.eclipse.swt.widgets.Composite parent)`
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE` preference.
`protected org.eclipse.ui.dialogs.PreferenceLinkArea`
`createColorsAndFontsLink(org.eclipse.swt.widgets.Composite parent)`
Creates a link to the preference page setting the colors and fonts for the Compare Editor.
`protected void`
`createColorTabContent()`
Creates and adds the content of the color tab.
`protected org.eclipse.swt.widgets.Control`
`createContents(org.eclipse.swt.widgets.Composite parent)`
`protected org.eclipse.jface.preference.IntegerFieldEditor`
`createExpandTreeTimeout(org.eclipse.swt.widgets.Composite parent)`
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_EXPAND_TIMEOUT` preference.
`protected void`
`createFieldEditors()`
`protected org.eclipse.jface.preference.BooleanFieldEditor`
`createHighlightRelatedChanges(org.eclipse.swt.widgets.Composite parent)`
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES` preference.
`protected org.eclipse.jface.preference.BooleanFieldEditor`
`createSelectNextUnresolvedDiff(org.eclipse.swt.widgets.Composite parent)`
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES` preference.
`protected org.eclipse.swt.widgets.Composite`
`createTabSkeleton(String tabLabel)`
Create a skeleton of a tab.
`protected org.eclipse.swt.widgets.Composite`
`createTabSkeleton(String tabLabel, String introText)`
Create a skeleton of a tab.
`protected void`
`createTreeTabContent()`
Creates and adds the content of the tree tab.
`protected org.eclipse.swt.widgets.Composite`
`getColorTab()`
Returns the lazily created color tab.
`protected org.eclipse.swt.widgets.Composite`
`getTreeTab()`
Returns the lazily created tree tab.
`void`
`init(org.eclipse.ui.IWorkbench workbench)`

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`addField, adjustGridLayout, applyFont, checkState, dispose, getFieldEditorParent, initialize, performDefaults, performOk, propertyChange, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

## Field Details

### PAGE_ID

public static final String PAGE_ID
Preference page ID.

See Also:
  - Constant Field Values

### tabFolder

protected org.eclipse.swt.widgets.TabFolder tabFolder
Tab folder for all tabs in this page.

### colorTab

protected org.eclipse.swt.widgets.Composite colorTab
Color tab.

### treeTab

protected org.eclipse.swt.widgets.Composite treeTab
Tree tab.

### colorsAndFontsLink

protected org.eclipse.ui.dialogs.PreferenceLinkArea colorsAndFontsLink
Link to color preference page.

### treeAutoSelectFirstChange

protected org.eclipse.jface.preference.BooleanFieldEditor treeAutoSelectFirstChange
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE`.

### treeAutoExpandLevel

protected org.eclipse.jface.preference.IntegerFieldEditor treeAutoExpandLevel
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_AUTO_EXPAND_LEVEL`.

### treeExpandTimeout

protected org.eclipse.jface.preference.IntegerFieldEditor treeExpandTimeout
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_EXPAND_TIMEOUT`.

### treeHighlightRelatedChanges

protected org.eclipse.jface.preference.BooleanFieldEditor treeHighlightRelatedChanges
Editor for preference `EMFCompareUIPreferences.EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES`.

## Constructor Details

### EditorPreferencePage

public EditorPreferencePage()

## Method Details

### init

public void init(org.eclipse.ui.IWorkbench workbench)

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

### createContents

protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createContents` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

### createTabSkeleton

protected org.eclipse.swt.widgets.Composite createTabSkeleton(String tabLabel)
Create a skeleton of a tab.

Parameters:
  `tabLabel` - tab label
Returns:
  main composite of the tab

### createTabSkeleton

protected org.eclipse.swt.widgets.Composite createTabSkeleton(String tabLabel, String introText)
Create a skeleton of a tab.

Parameters:
  `tabLabel` - tab label
  `introText` - Text use as description a tab (may be null)
Returns:
  main composite of the tab

### getColorTab

protected org.eclipse.swt.widgets.Composite getColorTab()
Returns the lazily created color tab.

Returns:
  color tab

### getTreeTab

protected org.eclipse.swt.widgets.Composite getTreeTab()
Returns the lazily created tree tab.

Returns:
  color tab

### createFieldEditors

protected void createFieldEditors()

Specified by:
  `createFieldEditors` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

### createColorTabContent

protected void createColorTabContent()
Creates and adds the content of the color tab.

### createTreeTabContent

protected void createTreeTabContent()
Creates and adds the content of the tree tab.

### createColorsAndFontsLink

protected org.eclipse.ui.dialogs.PreferenceLinkArea createColorsAndFontsLink(org.eclipse.swt.widgets.Composite parent)
Creates a link to the preference page setting the colors and fonts for the Compare Editor.

Parameters:
  `parent` - link parent
Returns:
  link

### createAutoExpandTreeLevel

protected org.eclipse.jface.preference.IntegerFieldEditor createAutoExpandTreeLevel(org.eclipse.swt.widgets.Composite parent)
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_AUTO_EXPAND_LEVEL` preference.

Parameters:
  `parent` - editor parent
Returns:
  editor

### createExpandTreeTimeout

protected org.eclipse.jface.preference.IntegerFieldEditor createExpandTreeTimeout(org.eclipse.swt.widgets.Composite parent)
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_EXPAND_TIMEOUT` preference.

Parameters:
  `parent` - editor parent
Returns:
  editor

### createAutoSelectFirstChange

protected org.eclipse.jface.preference.BooleanFieldEditor createAutoSelectFirstChange(org.eclipse.swt.widgets.Composite parent)
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_AUTO_SELECT_FIRST_CHANGE` preference.

Parameters:
  `parent` - editor parent
Returns:
  editor

### createHighlightRelatedChanges

protected org.eclipse.jface.preference.BooleanFieldEditor createHighlightRelatedChanges(org.eclipse.swt.widgets.Composite parent)
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES` preference.

Parameters:
  `parent` - editor parent
Returns:
  editor

### createSelectNextUnresolvedDiff

protected org.eclipse.jface.preference.BooleanFieldEditor createSelectNextUnresolvedDiff(org.eclipse.swt.widgets.Composite parent)
Creates an editor for the `EMFCompareUIPreferences.EDITOR_TREE_HIGHLIGHT_RELATED_CHANGES` preference.

Parameters:
  `parent` - editor parent
Returns:
  editor